---
layout: post
title: "A visit to Iceland"
permalink: visit-iceland
date: 2011-05-22
author: phobos
category: blog
tags: ["1984", "advocacy", "hackfest", "Hakkavélin", "iceland", "immi", "law enforcement", "pagekite", "tor fans", "volcanoes"]
---

I spent two days in Iceland discussing Tor and freedom of information with various people. I talked to a few people, including a member of Icelandic Parliament, about the International Modern Media Institute, [http://immi.is/](http://immi.is/ "http://immi.is/"). The goals of IMMI are to secure free speech and defining new operating principles for the global media. They are starting with Iceland and moving on to the world. They already have much success in Iceland, but are running into issues of scale and funding. They could use some help.

The second day I talked to the computer forensics team from the National Police of Iceland about Tor, [http://www.logreglan.is/](http://www.logreglan.is/ "http://www.logreglan.is/"). We discussed all things Tor and their experiences with it. Apparently there are 'computer specialists' traveling Europe talking to law enforcement (for great profit) disparaging any technology that provides security and privacy to citizens as 'for child abuse and organized crime'. These people neglect to mention that all technologies are dual usage and the human behind it determines the good or bad usage of the technology. One of the officers mentions that no one talks about crowbar crime, but everyone is talking about computer crime as if humans aren't involved. Overall, it was a great discussion lasting a few hours.

I then head over to work with the people from 1984, [https://1984.is/](https://1984.is/ "https://1984.is/"). They are one of the largest hosting providers in Iceland. And thanks to them, we now have [http://torproject.is](http://torproject.is "http://torproject.is") hosted in the country. I learned more about the physical infrastructure of the Internet in Iceland. We discussed ways to increase competition now that the Iceland Govt bailed out the company that owns nearly all of the fiber in the country. Imagine a country with fiber everywhere (already true in Iceland) and treating it like the road infrastructure with any provider getting access to it. Now mix in successful freedom of expression laws from IMMI.

That night I talked about Tor to the only hackerspace in Iceland at their beer and crypto night at Hakkavélin, [http://hakkavelin.is/](http://hakkavelin.is/ "http://hakkavelin.is/"). Someone showed up and recorded my entire talk until their battery ran out. kapteinnkrokur posted the video at [https://www.youtube.com/watch?v=pOayRK48vdE](https://www.youtube.com/watch?v=pOayRK48vdE "https://www.youtube.com/watch?v=pOayRK48vdE"). I covered Tor topics, life under surveillance, and some more advanced topics relating to bridges, ssl filtering, and attempted DHT directory info over Tor. Afterwards, many went out to a bar to talk more until 2 AM. I had a great chat with Bjarni and Ewelina from PageKite, [https://pagekite.net/](https://pagekite.net/ "https://pagekite.net/"), about Tor marketing, supporting privacy enhancing technology, and peer to peer collaboration for all.

Iceland is a fantastic country and the people are great. I hope to spend more time there, as soon as the volcanoes stop disrupting flights.

Thank you to Björgvin, Birgitta, Berglind, and Mörður for arranging meetings and hosting me for the two days.

